TypeScript
import { WhopClient } from "@whop/sdk";
const client = new WhopClient({ token: "YOUR_TOKEN", apiVersionDate: "2026-08-21-1", idempotencyKey: "YOUR_IDEMPOTENCY_KEY" });
await client.socialAccounts.posts({
id: "id",
account_id: "account_id"
});curl --request GET \
--url https://api.whop.com/api/v1/social_accounts/{id}/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/social_accounts/{id}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.whop.com/api/v1/social_accounts/{id}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"call_to_action": "shop_now",
"caption": "Ceramic coating in action",
"destination_url": "https://shinetime.example/book",
"embed_url": "https://www.facebook.com/plugins/post.php",
"id": "media_1",
"media_url": "https://shinetime.example/ceramic-coating-reel.mp4",
"restrictions": [
"lead_form_ineligible"
],
"thumbnail_url": "https://shinetime.example/ceramic-coating-poster.jpg",
"video_id": "18000000000000000"
}
],
"page_info": {
"end_cursor": "MTI=",
"has_next_page": true
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Social Accounts
List Social Account Posts
Lists the existing posts of a connected Facebook page, Instagram account, or TikTok account.
GET
/
social_accounts
/
{id}
/
posts
TypeScript
import { WhopClient } from "@whop/sdk";
const client = new WhopClient({ token: "YOUR_TOKEN", apiVersionDate: "2026-08-21-1", idempotencyKey: "YOUR_IDEMPOTENCY_KEY" });
await client.socialAccounts.posts({
id: "id",
account_id: "account_id"
});Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Headers
Pins the request to a dated API version.
Example:
"2026-09-11-1"
Path Parameters
The social account (a sacc_ identifier) whose posts to list.
Query Parameters
The Account (a biz_ identifier) the social account is connected to.
Return only the single post with this platform id, instead of the full list.
The number of posts to return.
Required range:
x <= 100Cursor to fetch the page after (from page_info.end_cursor).

